Bug 1536346 - Add quorum checks in post-op
Summary: Add quorum checks in post-op
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: replicate
Version: 3.13
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ravishankar N
QA Contact:
URL:
Whiteboard:
Depends On: 1506140 1542382 1597120
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-19 08:14 UTC by Ravishankar N
Modified: 2018-07-02 06:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1506140
Environment:
Last Closed: 2018-06-20 18:30:18 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Ravishankar N 2018-01-19 08:14:39 UTC
+++ This bug was initially created as a clone of Bug #1506140 +++

afr relies on pending changelog xattrs to identify source and sinks and the
setting of these xattrs happen in post-op. So if post-op fails, we need to
unwind the write txn with a failure.

--- Additional comment from Worker Ant on 2017-10-25 04:58:01 EDT ---

REVIEW: https://review.gluster.org/18571 (afr: add quorum checks in post-op) posted (#1) for review on master by Ravishankar N (ravishankar@redhat.com)

--- Additional comment from Worker Ant on 2018-01-19 03:11:15 EST ---

COMMIT: https://review.gluster.org/18571 committed in master by \"Ravishankar N\" <ravishankar@redhat.com> with a commit message- afr: add quorum checks in post-op

afr relies on pending changelog xattrs to identify source and sinks and the
setting of these xattrs happen in post-op. So if post-op fails, we need to
unwind the write txn with a failure.

Change-Id: I0f019ac03890108324ee7672883d774918b20be1
BUG: 1506140
Signed-off-by: Ravishankar N <ravishankar@redhat.com>

Comment 1 Worker Ant 2018-01-19 08:16:04 UTC
REVIEW: https://review.gluster.org/19246 (afr: add quorum checks in post-op) posted (#1) for review on release-3.13 by Ravishankar N

Comment 2 Worker Ant 2018-02-01 13:58:06 UTC
COMMIT: https://review.gluster.org/19246 committed in release-3.13 by "Shyamsundar Ranganathan" <srangana@redhat.com> with a commit message- afr: add quorum checks in post-op

afr relies on pending changelog xattrs to identify source and sinks and the
setting of these xattrs happen in post-op. So if post-op fails, we need to
unwind the write txn with a failure.

Change-Id: I0f019ac03890108324ee7672883d774918b20be1
BUG: 1536346
Signed-off-by: Ravishankar N <ravishankar@redhat.com>
(cherry picked from commit a40a87ec3b226ae86a6ed8f4af25b45965a20cad)

Comment 3 Worker Ant 2018-02-02 15:56:33 UTC
REVIEW: https://review.gluster.org/19478 (afr: capture the correct errno in post-op quorum check) posted (#1) for review on release-3.13 by Ravishankar N

Comment 4 Worker Ant 2018-02-06 14:28:45 UTC
COMMIT: https://review.gluster.org/19478 committed in release-3.13 by "Shyamsundar Ranganathan" <srangana@redhat.com> with a commit message- afr: capture the correct errno in post-op quorum check

If the post-op phase of txn did not meet quorm checks, use that errno to
unwind the FOP rather than blindly setting ENOTCONN.

Change-Id: I0cb0c8771ec75a45f9a25ad4cd8601103deddf0c
BUG: 1536346
Signed-off-by: Ravishankar N <ravishankar@redhat.com>
(cherry picked from commit 440a048f24b006c80af3d7bcd0a1f13fe3459d87)

Comment 5 Shyamsundar 2018-06-20 18:30:18 UTC
This bug reported is against a version of Gluster that is no longer maintained
(or has been EOL'd). See https://www.gluster.org/release-schedule/ for the
versions currently maintained.

As a result this bug is being closed.

If the bug persists on a maintained version of gluster or against the mainline
gluster repository, request that it be reopened and the Version field be marked
appropriately.


Note You need to log in before you can comment on or make changes to this bug.